Package com.orbbec.obsensor

## Enum PermissionType

- java.lang.Object
- - java.lang.Enum<PermissionType>
  - - com.orbbec.obsensor.PermissionType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PermissionType>`

    public enum PermissionType
    extends java.lang.Enum<PermissionType>

Enumeration used to describe access rights for properties

### Enum Constant Summary

Enum Constants
`OB_PERMISSION_DENY` no access
`OB_PERMISSION_READ` readable
`OB_PERMISSION_READ_WRITE` can read and write
`OB_PERMISSION_WRITE` writable

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PermissionType` `get​(int value)` Get the attribute value corresponding to the specified index, read and write permission type enumeration
`int` `value()` Get the index value corresponding to a specific property enumeration
`static PermissionType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PermissionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_PERMISSION_DENY

    public static final PermissionType OB_PERMISSION_DENY

no access

#### OB_PERMISSION_READ

    public static final PermissionType OB_PERMISSION_READ

readable

#### OB_PERMISSION_WRITE

    public static final PermissionType OB_PERMISSION_WRITE

writable

#### OB_PERMISSION_READ_WRITE

    public static final PermissionType OB_PERMISSION_READ_WRITE

can read and write

### Method Detail

#### values

    public static PermissionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PermissionType c : PermissionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PermissionType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index value corresponding to a specific property enumeration

Returns:
  index value

#### get

    public static PermissionType get​(int value)

Get the attribute value corresponding to the specified index, read and write permission type enumeration

Parameters:
  `value` - index value
Returns:
  property enumeration